Page MenuHomePhabricator

'help' in OOUIHTMLForm is escaping HTML content which it shouldn't
Closed, ResolvedPublic

Description

The 'help', 'help-message', and 'help-messages' parameters generate raw HTML, but OOUI escapes them.

Event Timeline

Legoktm created this task.Jul 1 2015, 5:35 AM
Legoktm raised the priority of this task from to Normal.
Legoktm updated the task description. (Show Details)
Legoktm added a project: MediaWiki-HTMLForm.
Legoktm added subscribers: Aklapper, Legoktm, matmarex.

Change 223520 had a related patch set uploaded (by Legoktm):
FieldLayout: Support HTML help messages through HtmlSnippet

https://gerrit.wikimedia.org/r/223520

Legoktm claimed this task.Jul 8 2015, 9:01 AM
Legoktm added a project: OOUI.
Legoktm set Security to None.

Change 223520 merged by jenkins-bot:
FieldLayout: Support HTML help messages through HtmlSnippet

https://gerrit.wikimedia.org/r/223520

Change 224299 had a related patch set uploaded (by Legoktm):
OOUIHTMLForm: Wrap help text in OOUI\HtmlSnippet

https://gerrit.wikimedia.org/r/224299

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Jul 13 2015, 7:48 PM
Jdforrester-WMF closed this task as Resolved.Jul 16 2015, 6:06 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Change 224299 merged by jenkins-bot:
OOUIHTMLForm: Wrap help text in OOUI\HtmlSnippet

https://gerrit.wikimedia.org/r/224299

Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Jul 22 2015, 11:46 PM